AlignPoints.h File Reference
`#include <RDGeneral/export.h>`
`#include <Geometry/point.h>`
`#include <Geometry/Transform3D.h>`
`#include <Numerics/Vector.h>`

Go to the source code of this file.

## Namespaces

| RDNumeric
| RDNumeric::Alignments

## Functions

double RDKIT_ALIGNMENT_EXPORT | RDNumeric::Alignments::AlignPoints (const RDGeom::Point3DConstPtrVect &refPoints, const RDGeom::Point3DConstPtrVect &probePoints, RDGeom::Transform3D &trans, const DoubleVector *weights=nullptr, bool reflect=false, unsigned int maxIterations=50)
| Compute an optimal alignment (minimum sum of squared distance) between two sets of points in 3D. More...